'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var generateClassname = function generateClassname(props, styles, size) {
  return (0, _classnames2.default)(props[size].split(' ').map(function (cl) {
    return styles[size + '-' + cl];
  }));
};

var Row = function Row() {
  var styles = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];
  return function (props) {
    var className = props.className;
    var children = props.children;
    var xs = props.xs;
    var sm = props.sm;
    var md = props.md;
    var lg = props.lg;

    var rest = _objectWithoutProperties(props, ['className', 'children', 'xs', 'sm', 'md', 'lg']);

    var mediaClass = [xs && generateClassname(props, styles, 'xs'), sm && generateClassname(props, styles, 'sm'), md && generateClassname(props, styles, 'md'), lg && generateClassname(props, styles, 'lg')];

    return _react2.default.createElement(
      'div',
      _extends({}, rest, { className: (0, _classnames2.default)(styles.row, mediaClass, className) }),
      children
    );
  };
};

exports.default = Row;